const { contextBridge, ipcRenderer } = require('electron')

contextBridge.exposeInMainWorld('electronAPI', {
  runNodejsScript: (scriptName, ...parameters) => 
    ipcRenderer.invoke('run-nodejs-script', scriptName, ...parameters),
  runPythonScript: (scriptName, ...parameters) => 
    ipcRenderer.invoke('run-python-script', scriptName, ...parameters)
})
